<?php
/**
 * @ file Helper file in order to make the siruna mapping xml
 * remark => replace this by an object oriented approach 
 */
 
function siruna_mapping_create_header(&$mapping){
  $mapping .= '<?xml version="1.0" encoding="iso-8859-1"?>';
  $mapping .= '<Siruna>';
}  


function siruna_mapping_add_mapping(&$mapping) {
 // $result = '<Mapping xmlns="http://siruna.com" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://siruna.com ../sitemap_mapping.xsd">';
$result =  $result = '<Mapping>'; 
$mapping .= $result;
return $result;
}

function siruna_mapping_close_mapping(&$mapping) {
  $result= '</Mapping>';
  $mapping .=$result;
  return $result;
}
function siruna_mapping_add_project(&$mapping){
  $result = '<Project>';
$mapping .= $result;
return $result;
}

function siruna_mapping_add_project_path(&$mapping, $projectId) {
  global $base_url;
  $result = '<Path>' . $base_url . '</Path>';
  $mapping .= $result;
return $result;

}
function siruna_mapping_add_filter(&$mapping, $paths, $name = '', $default_url = ''){
 global $base_url;
 if (sizeof($paths) == 0) {
  $result = '<Filter><Name>' . $name . '</Name><Path /><DefaultURL /></Filter>';
  } else {
    $result .=  '<Filter>';
    $result .=  '<Name>' . $name . '</Name>';
    if ($name == 'home') {
        $result .= '<path>/</path>';
        $result .= '<DefaultURL>' . $base_url . '/</DefaultURL>';
        
    } elseif ($name == 'global') {
        $result .= '<path>.*</path>';
        $result .= '<DefaultURL>' . $default_url .'</DefaultURL>';
    } else {
        foreach ($paths as $path) {
          $result .=  '<Path>.*';
          $result .= str_replace('%', '', $path );
          $result .= '</Path>';
        }
        if ($default_url != '') {
          $result .= '<DefaultURL>' . $base_url . '/' . str_replace('%', '',$default_url) . '</DefaultURL>';  
        } else {
              $result .= '<DefaultURL>' . $base_url . '/' .str_replace('%', '',  $paths[0]) . '</DefaultURL>';  
        }
    }    
    $result .= '<Entry><![CDATA[ ... ]]></Entry>';
    $result .= '</Filter>';
  }
  $mapping .= $result;
  return $result;
 
}

function siruna_mapping_close_project(&$mapping){
  $result = '<DesktopRedirectionEnabled>true</DesktopRedirectionEnabled>';
  $result .= '</Project>';
  $mapping .= $result;
  return $result;
}


function siruna_mapping_add_default_theme(&$mapping){
  $mapping .= '<Theme default="true" type="Drupal" name="theme name" />';
}

function siruna_mapping_add_id(&$mapping, $id) {
  $result = '<Id>' . $id . '</Id>';
 $mapping .= $result;
return $result;

}

function siruna_mapping_add_hash(&$mapping, $hash) {
  $mapping .= '<Hash>' . $hash   . '</Hash>';
}

function siruna_mapping_close(&$mapping) {
  $mapping .= '</Siruna>';
}
?>