/*
 * This file is part of the Siruna project.
 * Copyright (c) 2007-2009 Mobixx
 * Authors:   Jan Hollez, Dieter Van de Walle, Davy Van Deursen, Gregory De Jans
 * Technical Management & Software Architecture: Frank Gielen
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published
 * by the Free Software Foundation with the addition of the following permission
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE
 * COVERED WORK IN WHICH THE COPYRIGHT IS OWNED BY MOBIXX, MOBIXX DISCLAIMS
 * THE WARRANTY OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA, or download the license from the following URL:
 *
 * http://open.siruna.org/content/terms-use
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License.
 *
 * In accordance with Section 7(b) of the GNU Affero General Public License,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * Siruna" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by Siruna".
 *
 * You can be released from these requirements by purchasing a commercial
 * license. Buying such a license is in most cases mandatory as soon as
 * you develop commercial activities involving the Siruna software.
 * Commercial activities include: offering paid services as a web agency,
 * providing mobile websites for paying or non-paying customers, using
 * the Siruna software in a server farm.
 *
 * For more information, please contact Siruna at this address:
 * contact@siruna.com
 *
 */
/***************************************************************************************
 *                            ...                                       *
 ***************************************************************************************/
//This function allows to do an update of the model in our session. Doing this will update 
//the device. Calls done after this will render the site adapted to this new device
function updateModel(uaprof, userAgent, murl) {  
    document.body.style.cursor = 'wait';
	//update model
	 $.ajax({
        url: 'http://localhost:28080/DSTWAR/updateModel',//'/ComposerWAR/secure/updateModel' ,
        dataType: 'jsonp',
        jsonp: 'jsoncallback',
        timeout: 30000,
        beforeSend: function(xhr) {
          xhr.setRequestHeader("x-wap-profile", uaprof);
          xhr.setRequestHeader("user-agent", userAgent);
        },
        error: function(){
          console.error('Error updating model');
          document.body.style.cursor = 'auto';
        },
        success: function(html){
          if (murl != undefined && murl != null){
        	  frames['preview-iframe'].location = murl;
            //loadHtmlInPreview(murl);
          }
          document.body.style.cursor = 'auto';
        }
     });    
     
     function loadHtmlInPreview(murl){
	  //$('html', frames['preview-iframe'].document).html('');
      $.ajax({
        url: murl ,
        //data: 'site=' + escape(site),
        type: 'GET',
        dataType: 'html',
        timeout: 30000,
        beforeSend: function(xhr) {
          
        },
        error: function(){
            console.error('Error loading preview');
        },
        success: function(html){
          // do something with html
          var substring = html.split('</head>');
          //console.log(substring[0]);
          
          $('head', frames['preview-iframe'].document).html(substring[0]);
          $('body', frames['preview-iframe'].document).html(substring[1]);
          //TODO improve code in the case the document is invalid and contains 2 heads, etc.
          
          //console.log(substring[1]);
        }
      });     
} 
}