<?php 
  drupal_set_title('Siruna Help'); 
  global $base_url;
  $logo_path = $base_url . '/' . drupal_get_path('module', 'siruna') . '/siruna_logo.jpg';
?>
<img src="<?php print $logo_path ?>" style="float:right" />
<h1>Make your site mobile with Siruna</h1>
<p>The <a href="http://www.siruna.com">Siruna</a> module helps you in making your websites mobile. Siruna helps you in detecting the mobile device and adapting your Drupal site for optimal display on different mobile devices. Siruna takes away the complexity of mobile web development and even allow you to define different adaptation depending on the device types.</p>

<p>The Siruna service transcodes your pages and you can define the transcoding on <a href="http://composer.siruna.com">http://composer.siruna.com</a>. The first step in using Siruna is to <a href="http://composer.siruna.com">create an account</a> and a new project. When creating a new project, you can define the project as a Drupal project.</p>

<p>Once this is done, go back to the Siruna module and enter your Siruna user name, the name of your project, and a secret key that is available in the composer.</p>

<p>Now you can start defining filters by clicking on the Filter tab. A filter is used by Siruna in order to make a different transformation for the page defined by the filter. The Siruna module allows the creation of filters for node types, menu items and individual nodes.</p>

<h1>Other helpfull modules</h1>
<p><a href="http://www.siruna.com">Siruna</a> has created the <a href="http://www.drupal.org/project/mobile_tools">Mobile Tools</a> module in order to preprocess your Drupal site.</p>

<p>The Mobile Tools module helps you in defining access rights for mobile users, redirecting mobile users to the mobile page, and changing layout for the mobile site.</p>

<h1>More documentation</h1>
<p>Documenation on the Siruna transcoding service and examples can be found at the <a href="http://open.siruna.org/documentation/4steps">Siruna documentation section</a></p>

<h1>Feedback & Help</h1>
Feedback on bugs, feature requests can be posted on the Siruna module <a href="http://www.drupal.org/project/siruna">project page</a>.

Feedback on the Siruna transcoding engine can be posted on the <a href="http://open.siruna.org/forum">Siruna user fora</a>