function sirunaInitConfiguration() {
 $("div.siruna-check-link").click(sirunaCheckConnection);
}       

function sirunaCheckConnection() {
  $("div.siruna-check").html('<img src="' + base_path + '/icons/ajax-loader.gif">');
  $.getJSON("http://127.0.0.1:8080/ComposerWAR/StatusServlet?operation=status&userName=" + userName + "&projectName=" +  projectName + "&jsoncallback=?&hash=" + hash, sirunaConnectionStatus);
  return false;
} 

function sirunaConnectionStatus(data) {
  var output;
  switch (data.type) {
    case "error": //
      output = '<div class="message error"><b>' + data.message + '</b></div>';
    break;
    case "message": //O
      output = '<div class="message status"><b>The Server is responding and your configurations are correct</b></div>';
      $.each(data, function(i, item) {
        switch (i) {
          case 'userName':
            output += "User name: <i>" + item +"</i><br />";
            break;
          case 'serverStatus':
            break;
          case 'mobileURL':
            output += "Preview the site: <i>" + item +"</i><br />";
            break;
          case 'projectName':
            output += "Project Name: <i>" + item +"</i><br />";
            break;
          case 'mobileURL':
            output += 'Mobile url: <i><a href=\"' + item + '\">' + item + '</a></i><br />';
            break;
          case 'license':
            output += "License: <i><a href=\"" + item +"\"/a></i><br />";
            break;
        }
      });
    break;  
  }
  $("div.siruna-check").html('<br />' + output); 
}

function sirunaInitFilterConfiguration() {
 $("div.siruna-remove-node").click(sirunaFilterRemoveElement);
  $("input#edit-siruna-nodes-add").click(sirunaFilterAddElement);
}

function sirunaFilterAddElement() {
  filters.push($("input#edit-siruna-nodes-form[@value]").val());
  $("input#edit-siruna-individual").attr("value", filters.join());
  $.getJSON('/siruna/admin/settings/siruna/ajax/table', { filters: filters.join()}, sirunaInsertTable);
  return false;
}

function sirunaFilterRemoveElement() { 
  if(filters.length > 1) {
     filters.splice(filters.valueOf($(this).attr("id")), 1);
     $.getJSON('/siruna/admin/settings/siruna/ajax/table', { filters: filters.join()}, sirunaInsertTable);
  } else {
   filters = new Array();
   $("div#siruna-individual-filters-table").replaceWith('<div id="siruna-individual-filters-table">No filters</div>');
  }
  $("input#edit-siruna-individual").attr("value", filters.join());
  return false;
}

function sirunaInsertTable(data) {
  $("div#siruna-individual-filters-table").replaceWith('<div id="siruna-individual-filters-table">' + data.data + '</div>');
  $("div.siruna-remove-node").click(sirunaFilterRemoveElement); 
}

function sirunaInitResourcesConfiguration() {
  $("div.siruna-toggle-resource").click(sirunaViewResource);
}

function sirunaViewResource() {
  $('tr#resource-view-' + $(this).attr("id")).toggle();
  return false;

}